import customtkinter as ctk
from frames.map_frame.settings import SIDE_PANEL_BG
from geopy.geocoders import Nominatim
import tkintermapview

# Frame que contiene el mapa de estaciones de servicio
class StationsFrame(ctk.CTkFrame):
    def __init__(self, parent):
        super().__init__(parent, width=995, height=525, fg_color=SIDE_PANEL_BG)
        self.parent = parent
        self.map_widget = MapWidget(self)

# Widget que genera un mapa interactivo
class MapWidget(tkintermapview.TkinterMapView):
    def __init__(self, parent):
        super().__init__(parent, width=796, height=525, corner_radius=5)
        self.place(relx=0.2, rely=0)
        self.set_location_pos()

    # Ajusta la localizacion y zoom por defecto al inicializar el mapa
    def set_location_pos(self):
        # Localizacion
        self.set_address("Facultad de minas, Medellín, Colombia")
        # Mapa
        self.set_zoom(14)